[SCM] Installer for game data files branch, testsuite, updated. 521cbfd9ee9133726037dd0213d70a46a2552c63
Jon Dowland
jmtd at debian.org
Thu Dec 17 16:48:36 UTC 2009
The following commit has been merged in the testsuite branch:
commit d9e1ee650713aa26b456d46c050705cff583769b
Author: Jon Dowland <jmtd at debian.org>
Date: Thu Dec 17 16:28:43 2009 +0000
initial test_slipstream
diff --git a/tests/runtests b/tests/runtests
index ef2c6d3..4b0829a 100755
--- a/tests/runtests
+++ b/tests/runtests
@@ -1,5 +1,7 @@
#!/bin/sh
+. ./lib/game-data-packager-shared
+
test_verify_file_yes() {
./tests/lib/verify_file "tests/runtests"
assertEquals $? 0
@@ -31,6 +33,19 @@ test_die() {
./tests/lib/die "diestring" 42
assertEquals $? 42
}
+test_slipstream() {
+ debsrc="./tests/empty.deb"
+ wd=`mktemp -td game-data-packager.tests.XXXXXX`
+ deb="$wd/empty.deb"
+ file="tests/testfile"
+
+ cp -p "$debsrc" "$deb"
+ slipstream "$deb" "foo/bar" "$file"
+ echo "$deb"
+ exit 1
+ rm "$deb"
+ rmdir "$wd"
+}
. ./tests/shunit2/shunit2
--
Installer for game data files
More information about the Pkg-games-commits
mailing list